astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Legendre2D

# Legendre2D

class `astropy.modeling.polynomial.``Legendre2D`(x_degree, y_degree, x_domain=None, x_window=[-1, 1], y_domain=None, y_window=[-1, 1], param_dim=1, **params)

  Bases: `astropy.modeling.polynomial.OrthoPolynomialBase`

  Legendre 2D polynomial.

  Defined as:

  P_{nm}(x,y) = C_{n_m} L_n(x ) L_m(y)

  Parameters:

  x_degree : int

  > degree in x

  y_degree : int

  > degree in y

  x_domain : list or None

  > domain of the x independent variable

  y_domain : list or None

  > domain of the y independent variable

  x_window : list or None

  > range of the x independent variable

  y_window : list or None

  > range of the y independent variable

  param_dim : int

  > number of parameter sets

  **params : dict

  > keyword: value pairs, representing parameter_name: value

  fixed: a dict :

  > a dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied: dict :

  > a dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds: dict :

  > a dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons: list :

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Methods Summary

  `deriv`(x, y, *params) | Derivatives with repect to the coefficients.

  Methods Documentation

  `deriv`(x, y, *params)

    Derivatives with repect to the coefficients. This is an array with Legendre polynomials:

    Lx0Ly0 Lx1Ly0...LxnLy0...LxnLym

    Parameters:

    x : ndarray

    > input

    y : ndarray

    > input

    params : throw away parameter

    > parameter list returned by non-linear fitters

    Returns:

    result : ndarray

    > The Vandermonde matrix